import { Server } from "socket.io";
import {TSocket} from "../utilities/Types";
import ZoneManager from "../ZoneManager";

export default function (socket: TSocket, io: Server) {
    socket.on('disconnect', (data: any) => {


        if (!socket.character) {
            console.log('User disconnected but had no character set');
            return;
        }

        ZoneManager.removeCharacterFromZone(socket.character.zoneId, socket.character.id);

        io.emit('user:disconnect', socket.character);
    });
}